Subject: RE: Emacs InstallShield

From: "Steve Kemp" <[email-masked]>
Date: Wed, 9 Dec 1998 10:03:45 -0000

Hi,
  I'd be perfectly willing to give up my code to the FSF, In fact I would
 volunteer to package up the latest version for you when the become
available
 if that would help you out.

  The main reason that I stopped at packaging 19.34.6 was lack of web space,
 which presumably wouldn't be a problem for the FSF / GNU mirrors.

  How would you like me to make the code available to you / people,
 packaged up in an archive somewhere?

Steve
---

> -----Original Message-----
> From: Geoff Voelker [mailto:[email-masked]]
> Sent: Wednesday, December 09, 1998 2:01 AM
> To: Steve Kemp
> Subject: Emacs InstallShield
>
>
> Steve,
>
> I think the time has come where I would like to provide NT Emacs
> distributions that unpack and setup themselves (ok, the time is way
> overdue, but I finally have time to spend on this).
>
> I tried out your InstallShield version of NT Emacs, and I think it is
> a very good place to start.  Would you be willing to place your
> installation code in the public domain by transferring the copyright
> to the Free Software Foundation?  This would be the only way we could
> include your code in the Emacs source distribution.
>
> -geoff
>

---

From: "Steve Kemp" <[email-masked]>
Date: Thu, 10 Dec 1998 09:43:19 -0000

> great!  depending upon whether you think you'll make changes in the
> future (which I'm hoping you'll do), you'll need to sign a disclaimer
> or assignment.  I sent mail to RMS asking exactly which one to use,
> and I'll forward it on when I get a response.

  Okay, thanks.

> ideally what I would like to happen is to make your part of the normal
> distribution, and integrate it in such a way that I can effectively
> invoke a script to make all of the various distributions that need to
> be made (one of which is the InstallShield distribution).

  That may be tricky ... running the InstallShield build process is normally
 handled via its IDE.  I'm not sure if its possible to create the build from
 a script driven mechanism.
  The InstallShield build is a tricky one to manage, as it doesn't work as
 you'd expect.  Instead of the IDE keeping a track of a list of files to
 include within the installation it copies them inside the project.  This
means
 that when you update a file included in the build you have to update its
 copy also.  (Needless to say this caused much confusion when I was working
 on installations for my company).

> until we can intergrate the code, I can use the code on the side or
> you can continue to make the InstallShield distributions if that works
> for you.  nonetheless, I would like to see what you have written.  can
> you create an archive and put it in ftp://ftp.cs.washington.edu/tmp?
> you should have write access to that directory.

  Okay, I shall upload an installation for 20.3.1, and the source project
 later on today.

> once we start to do this, undoubtedly people will suggest changes
> and/or improvements.  do you think you would have the time and
> interest in maintaining this (at least for the near future)?  it is
> certainly not a requirement, but it would be a big help :-)

  Currently I've actually been experimenting with replacing addpm.exe
 with some InstallShield code.  That's the biggest single improvement
 I can think of, and its not to hard to manage either InstallShield has
 lots of functions for adding registry keys, and the like.

> thanks,

Steve
---
 http://www.tardis.ed.ac.uk/~skx/win/